<div class="container" [ngStyle]="{'display': showManuelMeasurePage == false ? 'block' : 'none'}">
  <div class="text-center mt-5 comment">
    <span>
      {{ pageGuideTexts }}
      <hr />
    </span>
  </div>
  <div class="row" *ngIf="showGenderSelection == true">
    <div class="col-6">
      <!-- Gender Info Section -- Female || Id: 1 -->
      <div
        class="genderBox text-right"
        [ngStyle]="{
          'border-bottom': borderFemaleStyle,
          opacity: femaleOpacity
        }"
        (click)="setGender(1)"
        style="margin-left: calc(100% - 40px)"
      >
        <img
          style="width: 40px"
          class="static"
          src="../../assets/16-avatar-woman-nodding-outline.png"
        />
        <img
          style="width: 40px"
          class="active"
          src="../../assets/16-avatar-woman-nodding-outline.gif"
        />
      </div>
    </div>
    <div class="col-6">
      <!-- Gender Info Section -- Male || Id: 2 -->
      <div
        class="genderBox"
        [ngStyle]="{ 'border-bottom': borderMaleStyle, opacity: maleOpacity }"
        (click)="setGender(2)"
        style="margin-right: calc(100% - 40px)"
      >
        <img
          style="width: 40px"
          class="static"
          src="../../assets/17-avatar-man-nodding-outline.png"
        />
        <img
          style="width: 40px"
          class="active"
          src="../../assets/17-avatar-man-nodding-outline.gif"
        />
      </div>
    </div>
  </div>
  <form class="example-form text-center mt-2" *ngIf="!isMobile">
    <div class="row" *ngIf="showMetric">
      <div class="mx-auto">
        <span class="mr-1"> Metric </span>
        <mat-slide-toggle
          color="warn"
          (input)="isMetric = !isMetric"
        ></mat-slide-toggle>
        <span class="ml-1"> Imperial </span>
      </div>
    </div>
    <!-- Age Info Section -->
    <div class="row " *ngIf="isMetric">
      <mat-form-field class="example-full-width component mx-auto webInput">
        <mat-label>Yaş</mat-label>
        <input
          type="number"
          matInput
          placeholder="Yaşını girmelisin"
          (input)="setCustomerAge($event)"
          autocomplete="off"
          [name]="customerAge"
        />
        <mat-hint *ngIf="hasAgeError" style="color: red">
          {{ ageErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>

    <div class="row component mx-auto " *ngIf="!isMetric">
      <mat-form-field class="w-100 webInput">
        <mat-label>Yaş</mat-label>
        <input
          type="number"
          matInput
          placeholder="Yaşını girmelisin"
          (input)="setCustomerAge($event)"
          autocomplete="off"
          
          [name]="customerAge"
        />
        <mat-hint *ngIf="hasAgeError" style="color: red">
          {{ ageErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>

    <!-- Height Info Section -->
    <div class="row" *ngIf="isMetric">
      <mat-form-field
        [hideRequiredMarker]="true"
        class="example-full-width component mr-3 mx-auto webInput"
      >
        <mat-label>Boy</mat-label>
        <input
          type="number"
          matInput
          placeholder="Boy bilgisi girmelisin"
          (input)="setCustomerHeight($event)"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasHeightError" style="color: red">
          {{ heightErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>

    <!-- Imperial System Height -->
    <div class="mx-auto component webInput" *ngIf="!isMetric">
      <mat-form-field class="w-50 m-0">
        <mat-label>Ft</mat-label>
        <input
          type="number"
          matInput
          placeholder="Ft Bilgisi"
          name="a"
          (input)="setImperial($event, 'Ft')"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasFtError" style="color: red">
          {{ ftErrorMessage }}!
        </mat-hint>
      </mat-form-field>

      <mat-form-field class="w-50 m-0 webInput">
        <mat-label>In</mat-label>
        <input
          type="number"
          matInput
          placeholder="Inch Bilgisi"
          (input)="setImperial($event, 'In')"
          name="b"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasInError" style="color: red">
          {{ inErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>

    <!-- Weight Info Section -->
    <div class="row" *ngIf="isMetric">
      <mat-form-field class="example-full-width component mr-3 mx-auto webInput">
        <mat-label>Kilo</mat-label>
        <input
          type="number"
          matInput
          placeholder="Kilo bilgisi girmelisin"
          (input)="setCustomerWeight($event)"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasWeightError" style="color: red">
          {{ weightErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>

    <div class="mx-auto component webInput" *ngIf="!isMetric">
      <mat-form-field class="w-50 m-0">
        <mat-label>St</mat-label>
        <input
          type="number"
          matInput
          placeholder="Ft Bilgisi"
          name="a"
          (input)="setImperial($event, 'St')"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasStError" style="color: red">
          {{ stErrorMessage }}!
        </mat-hint>
      </mat-form-field>

      <mat-form-field class="w-50 m-0 webInput">
        <mat-label>Lbs</mat-label>
        <input
          type="number"
          matInput
          placeholder="Inch Bilgisi"
          (input)="setImperial($event, 'Lbs')"
          name="b"
          autocomplete="off"
        />
        <mat-hint *ngIf="hasLbsError" style="color: red">
          {{ lbsErrorMessage }}!
        </mat-hint>
      </mat-form-field>
    </div>
  </form>
  <form *ngIf="isMobile">
    <div class="row">
      <mat-form-field  appearance="outline" class=" mx-auto mobileDropdown" >
        <mat-label>Yaş</mat-label>
        <mat-select       
        name="age"
          (selectionChange)="onCustomerSelectionChangeOnMobile($event, 'age')"
        >
          <mat-option *ngFor="let age of ageOptions" [value]="age">
            {{ age }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="row">
      <mat-form-field appearance="outline" class=" mx-auto mobileDropdown">
        <mat-label>Boy</mat-label>
        <mat-select
        name="height"
          (selectionChange)="
            onCustomerSelectionChangeOnMobile($event, 'height')
          "
        >
          <mat-option *ngFor="let height of heightOptions" [value]="height">
            {{ height }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="row">
      <mat-form-field appearance="outline" class=" mx-auto mobileDropdown">
        <mat-label>Kilo</mat-label>
        <mat-select
        name="weight"
          (selectionChange)="
            onCustomerSelectionChangeOnMobile($event, 'weight')
          "
        >
          <mat-option *ngFor="let weight of weightOptions" [value]="weight">
            {{ weight }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </form>

  

  <!-- Go Next Stage Section -->
  <button
    type="button"
    class="btn btn-secondary buttomButton mt-2 border-0"
    style="margin-right: 25%"
    [ngStyle]="{ 'background-color': color }"
    (click)="goToNextStage()"
    [disabled]="isGoToNextStageDisable()"
  >
    Sonraki aşama
    <!-- <img src="../../assets/333-loader-4.gif" width="15%" alt="" *ngIf="showButtonSpinner"> -->
  </button>

  <div style="font-size: 14px;text-align: center; ;cursor: pointer;" class="mt-5 "  matTooltip="{{tooltip}}" (click)="openManuelPage()" *ngIf="!isGoToNextStageDisable() && isDev">
    <mat-icon>accessibility_new</mat-icon>
    <b style="border-bottom:1px solid grey; padding-bottom:2px">
      Ölçülerimi kendim girmek istiyorum
    </b>
  </div>

</div>
<manuel-measure [gender]="genderId" [color]="color" (manuelModel)="setManuelInputa($event)" (informationPage)="backToInformationPage($event)" *ngIf="showManuelMeasurePage"></manuel-measure>
